package com.m2pool.chat.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ChatRoom {
    private Long id;
    private String userOneEmail;
    private String userTwoEmail;
    private LocalDateTime lastUserSendTime;
    private LocalDateTime lastCustomerSendTime;
    private Integer flag;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;
    private Boolean del;
}
