package com.m2pool.chat.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ChatMessage {
    private Long id;
    private Integer type;
    private Integer read;
    private String sendEmail;
    private String content;
    private Long roomId;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;
}
